std::hash< u16string > Struct Reference

`#include <basic_string.h>`

Inherits std::__hash_base< _Result, _Arg >.

## Public Types

typedef _Result result_type | _GLIBCXX17_DEPRECATED
typedef _Arg argument_type | _GLIBCXX17_DEPRECATED

## Public Member Functions

size_t | operator() (const u16string &__s) const noexcept

## Detailed Description

std::hash specialization for u16string.

Definition at line 6787 of file basic_string.h.

## Member Typedef Documentation

## _GLIBCXX17_DEPRECATED [1/2]

template<typename _Result , typename _Arg >

typedef _Result result_type std::__hash_base< _Result, _Arg >::_GLIBCXX17_DEPRECATED

inherited

Definition at line 52 of file functional_hash.h.

## _GLIBCXX17_DEPRECATED [2/2]

template<typename _Result , typename _Arg >

typedef _Arg argument_type std::__hash_base< _Result, _Arg >::_GLIBCXX17_DEPRECATED

inherited

Definition at line 53 of file functional_hash.h.

## Member Function Documentation

## operator()()

size_t std::hash< u16string >::operator() | ( | const u16string & | __s | ) | const

inline noexcept

Definition at line 6791 of file basic_string.h.

The documentation for this struct was generated from the following file:

- basic_string.h